# call of the editor $editor for editing the file $efile$esuff   
#
# Copyright (C) 1994  G. Lamprecht, W. Lotz, R. Weibezahn; LRW c/o Uni Bremen
# Copyright (C) 1996  G. Lamprecht, W. Lotz, R. Weibezahn; IWD, Bremen University

proc editor {f austext} {

  upvar 1 $austext a

  global  vv editor edback edxterm edoptions edsyntaxhelp efile esuff
  global  pid texfmt hlp_dir

  writescr0 $f ""
  set a ""
  set message ""; set res 0

  if {[fileName $efile]==""} {set a "${a}***** $vv(ea1)\n"; mybell 3; return}

  set ed_file $efile$esuff

  # the editor builds its own window (e.g. emacs) or the editor is called
  # in an xterm window (e.g. vi), depending on variable "edxterm"
    
  if {$edxterm==""} {signal block SIGCHLD}
  eval set res [catch "exec $edxterm $editor $edoptions $ed_file $edback" message]
  if {$edxterm==""} {signal unblock SIGCHLD}
  set pid "$message"


  set a "${a}[datime] ($pid) editor call: $efile$esuff\n"
  if {$res != 0} {set a "${a}\n$vv(eda5)=$res\n"}

  if { ($edsyntaxhelp!="no") && ($edback=="&") } {# create syntax help
    # select one of the following lines to call the (La)TeX syntax help menu
    set a   "${a}[TeX_syntax_help $texfmt 0]"; # if already exists: will not be raised
    ### set a   "${a}[TeX_syntax_help $texfmt 1]"; # if already exists: will be raised
  }

}
